Bug 447129 - Package Kit automatically install rpm files on double click
Package Kit automatically install rpm files on double click
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 23:05 EDT by Dan Kozlowski
Modified: 2008-05-28 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 08:42:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Kozlowski 2008-05-17 23:05:09 EDT
Description of problem:


Version-Release number of selected component (if applicable):
0.1.12

How reproducible:
Every Time

Steps to Reproduce:
1. Download an RPM File
2. Double Click on it 
3. Sit Back and watch Package Kit install a file on your computer with no other
prompts 
  
Actual results:
RPM is merged with the system with no are you sure prompts, or even information
as to what is happening 

Expected results:
A dialogue asking if i do in fact want to install this RPM, and also a list of
dependences that might be pulled in with the install. 

Additional info:
Install Permission granted through PolicyKit so there isn't even a passwrod
entry sequence.
Comment 1 Richard Hughes 2008-05-20 04:58:11 EDT
In master we've added an extra prompt already. Do you want me to backport this
for Fedora9?
Comment 2 Dan Kozlowski 2008-05-20 18:32:08 EDT
if its a simply backport, Its probbily not too important to warrant a large deal
of erffor, expically if fedora is moving to the 0.2.x codebase. 

Note You need to log in before you can comment on or make changes to this bug.